Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.config
Class AgentProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.rsa.authagent.authapi.config.AgentProperties

All Implemented Interfaces:
  AgentConstants, java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class AgentProperties

extends java.util.Properties
implements AgentConstants

This class sets up properties configured for ACE/Agent.

The properties are obtained from three possible sources in the following order:

- Default Properties (`DefaultProperties`)
- Properties File
- System Properties

If an identical property key is found in more than one source, the property obtained last overrides the previous one.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_DEBUG_FILE`
`static java.lang.String` | `DEFAULT_LOG_FILE`
`static java.lang.String` | `DEFAULT_PROPERTIES` Default properties file.
`static java.lang.String` | `DEFAULT_SDCONF`
`static java.lang.String` | `DEFAULT_SDOPTS`
`static java.lang.String` | `DEFAULT_SDSTATUS`
`static java.lang.String` | `DEFAULT_SERVER_EXCHANGE_INITIAL_TIMEOUT` The default initial timeout for the socket sending ACE Time Request to server.
`static java.lang.String` | `DEFAULT_SERVER_EXCHANGE_TIMEOUT_INCREMENT` The default increment of timeout for the socket sending ACE Time Request to server.
`static java.lang.String` | `DEFAULT_SERVER_EXCHANGE_TIMEOUT_OFFSET` The default offset of timeout for the socket sending ACE Time Request to server.
`static java.lang.String` | `FILE_TYPE`
`static java.lang.String` | `JDBC_TYPE`

Fields inherited from interface com.rsa.authagent.authapi.config.AgentConstants
`RSA_AGENT_HOST, RSA_CONFIG_READ_INTERVAL, RSA_DEBUG_ENTRY, RSA_DEBUG_EXIT, RSA_DEBUG_FILE, RSA_DEBUG_FLOW, RSA_DEBUG_LOCATION, RSA_DEBUG_NORMAL, RSA_DEBUG_TO_CONSOLE, RSA_DEBUG_TO_FILE, RSA_ENABLE_DEBUG, RSA_LOG_FILE, RSA_LOG_LEVEL, RSA_LOG_TO_CONSOLE, RSA_LOG_TO_FILE, RSA_NO, RSA_NODESCRT_LOC, RSA_NODESCRT_TYPE, RSA_SDCONF_LOC, RSA_SDCONF_TYPE, RSA_SDOPTS_LOC, RSA_SDOPTS_TYPE, RSA_SDSTATUS_LOC, RSA_SDSTATUS_TYPE, RSA_SERVER_EXCHANGE_INITIAL_TIMEOUT, RSA_SERVER_EXCHANGE_TIMEOUT_INCREMENT, RSA_SERVER_EXCHANGE_TIMEOUT_OFFSET, RSA_YES`

Constructor Summary
`AgentProperties()` If the path of the properties file is not set already, just loads the default and system properties; if set previously, use that (global) path to load the properties file.
`AgentProperties(java.lang.String pathProps)` Constructor for AgentProperties: loads from the default properties, the specified properties file and the System properties.

Method Summary
`java.lang.String` | `getAPIVersion()`
`java.lang.String` | `getPathProps()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_PROPERTIES

    public static final java.lang.String DEFAULT_PROPERTIES

  Default properties file.

  See Also:
    Constant Field Values

### DEFAULT_LOG_FILE

    public static final java.lang.String DEFAULT_LOG_FILE

See Also:
  Constant Field Values

### DEFAULT_DEBUG_FILE

    public static final java.lang.String DEFAULT_DEBUG_FILE

See Also:
  Constant Field Values

### DEFAULT_SDCONF

    public static final java.lang.String DEFAULT_SDCONF

See Also:
  Constant Field Values

### DEFAULT_SDSTATUS

    public static final java.lang.String DEFAULT_SDSTATUS

See Also:
  Constant Field Values

### DEFAULT_SDOPTS

    public static final java.lang.String DEFAULT_SDOPTS

See Also:
  Constant Field Values

### FILE_TYPE

    public static final java.lang.String FILE_TYPE

See Also:
  Constant Field Values

### JDBC_TYPE

    public static final java.lang.String JDBC_TYPE

See Also:
  Constant Field Values

### DEFAULT_SERVER_EXCHANGE_INITIAL_TIMEOUT

    public static final java.lang.String DEFAULT_SERVER_EXCHANGE_INITIAL_TIMEOUT

  The default initial timeout for the socket sending ACE Time Request to server.

  See Also:
    Constant Field Values

### DEFAULT_SERVER_EXCHANGE_TIMEOUT_INCREMENT

    public static final java.lang.String DEFAULT_SERVER_EXCHANGE_TIMEOUT_INCREMENT

  The default increment of timeout for the socket sending ACE Time Request to server.

  See Also:
    Constant Field Values

### DEFAULT_SERVER_EXCHANGE_TIMEOUT_OFFSET

    public static final java.lang.String DEFAULT_SERVER_EXCHANGE_TIMEOUT_OFFSET

  The default offset of timeout for the socket sending ACE Time Request to server.

  See Also:
    Constant Field Values

Constructor Detail

### AgentProperties

    public AgentProperties()

  If the path of the properties file is not set already, just loads the default and system properties; if set previously, use that (global) path to load the properties file.

### AgentProperties

    public AgentProperties(java.lang.String pathProps)

  Constructor for AgentProperties: loads from the default properties, the specified properties file and the System properties.

  Parameters:
    `pathProps` - an alternate properties file.

Method Detail

### getAPIVersion

    public java.lang.String getAPIVersion()

  Returns:
    the AuthAPI version string.

### getPathProps

    public java.lang.String getPathProps()

  Returns:
    the pathProps.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.